MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029365Open CASCADE[OCCT] OCCT:Visualizationpublic2017-12-04 15:132018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029365: Visualization, TKOpenGl - do not include hidden structures to Rendered within frame statistics
DescriptionStructure visibility flag is currently ignored by frame statistics leading to incorrect information.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0029346closedbugmaster Visualization, TKOpenGl - collect frame statistics 

-  Notes
(0072687)
git (administrator)
2017-12-04 15:16

Branch CR29365 has been created by kgv.

SHA-1: cb7ca0b90a7364c8876041dfe66301bd121da4e5


Detailed log of new commits:

Author: kgv
Date: Mon Dec 4 15:16:34 2017 +0300

    0029365: Visualization, TKOpenGl - do not include hidden structures to Rendered within frame statistics
    
    OpenGl_Layer::UpdateCulling() now considers structure as culled in case if it has Hidden state.
(0072699)
kgv (developer)
2017-12-04 19:35

Please raise the patch.

http://jenkins-test-10.nnov.opencascade.com:8080/view/CR29365-master-KGV [^]
(0072706)
bugmaster (administrator)
2017-12-04 20:12

Combination -
OCCT branch : CR29365 SHA - cb7ca0b90a7364c8876041dfe66301bd121da4e5
Products branch : master SHA - 415c5096b9b013d1fad1454581bcdbe1e6090b5d
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18451.429999999604 / 18469.379999999688 [-0.10%]
Products
Total CPU difference: 7454.930000000011 / 7457.550000000003 [-0.04%]
Windows-64-VC10:
OCCT
Total CPU difference: 17837.778343998587 / 17828.96428749855 [+0.05%]
Products
Total CPU difference: 8011.493755399975 / 8009.6685436999705 [+0.02%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0072768)
git (administrator)
2017-12-07 15:57

Branch CR29365 has been updated by kgv.

SHA-1: 55bc7d6b3a6d07561af8ea568cd1a52b1d901d9f


Detailed log of new commits:

Author: kgv
Date: Thu Dec 7 15:56:08 2017 +0300

    # OpenGl_FrameStats::FrameEnd() - fix misprints in conditions

(0072898)
git (administrator)
2017-12-11 12:00

Branch CR29365 has been deleted by kgv.

SHA-1: 55bc7d6b3a6d07561af8ea568cd1a52b1d901d9f

- Related Changesets
occt: master 5dc0517d
Timestamp: 2017-12-04 12:16:34
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029365: Visualization, TKOpenGl - do not include hidden structures to Rendered within frame statistics

OpenGl_Layer::UpdateCulling() now considers structure as culled in case if it has Hidden state.
mod - src/OpenGl/OpenGl_FrameStats.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStats.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Layer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Layer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-12-04 15:13 kgv New Issue
2017-12-04 15:13 kgv Assigned To => kgv
2017-12-04 15:13 kgv Relationship added child of 0029346
2017-12-04 15:16 git Note Added: 0072687
2017-12-04 19:35 kgv Note Added: 0072699
2017-12-04 19:35 kgv Assigned To kgv => bugmaster
2017-12-04 19:35 kgv Status new => resolved
2017-12-04 19:35 kgv Status resolved => reviewed
2017-12-04 20:12 bugmaster Note Added: 0072706
2017-12-04 20:12 bugmaster Status reviewed => tested
2017-12-04 20:12 bugmaster Test case number => Not required
2017-12-07 15:57 git Note Added: 0072768
2017-12-08 23:00 bugmaster Changeset attached => occt master 5dc0517d
2017-12-08 23:00 bugmaster Status tested => verified
2017-12-08 23:00 bugmaster Resolution open => fixed
2017-12-11 12:00 git Note Added: 0072898
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker